Core - Feature # 52401

Task # 49162 (Resolved): Rewrite install tool

Status: Resolved Priority: Should have
Author: Christian Kuhn Category: Install Tool
Created: 2013-09-30 Assigned To:

Updated: 2013-10-06 Due date:

PHP Version: 54

Complexity: medium

Sprint Focus:

Subject: ext:install FolderStructure basic link support

Description

Associated revisions

Revision 797b1646 - 2013-10-06 11:59 - Christian Kuhn

[FEATURE] ext:install FolderStructure basic link support

The FolderStructure system currently supports files and directories.
This is now extended with a basic link support that can detect if
nodes are links and point to the specified target if given. The

code is currently fully disabled on Windows and there is also no
support for "fixing" broken structures.

Link nodes are used for index.php, typo3 and typo3_src and are
needed for a future core updater that relies on some structure

conventions like expected core location and link structure.

Change-Id: 154061 15b9d44c9a321eb487cbdbac2fOfab26b1e
Resolves: #52401

Releases: 6.2

Reviewed-on: https://review.typo3.org/24171

Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
Reviewed-by: Felix Kopp
Tested-by: Felix Kopp
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

History

#1 - 2013-09-30 18:48 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24171

#2 - 2013-09-30 22:34 - Gerrit Code Review
Patch set 2 for branch master has been pushed to the review server.

It is available at https://review.typo3.org/24171

#3 - 2013-09-30 23:09 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.

It is available at https://review.typo3.org/24171

#4 - 2013-10-06 12:30 - Christian Kuhn
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:797b164602eaffb91742fd3adb27ee1ebe04d19f.
